## ticker 1.2

=== Makefile ===
# Note: this is just a stub Makefile, to make it easy for you to
# run configure and build ticker. The full-fledged Makefile is created
# by ./configure, and is called `makeinfo'. You might want to edit it.

include makeinfo

configure: configure.in
	autoconf

config.status: configure
	./configure

makeinfo: autoconf/makeinfo.in config.status
	./config.status

## ticker 0.9

=== debian/changelog ===
ticker (0.9) unstable; urgency=low

  * Rebuilt to fix possible corrupted .dsc file.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 31 Aug 1998 13:37:31 -0700

ticker (0.8) unstable; urgency=low

  * Rebuilt with fakeroot to fix libtricks breakage.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 16 Jul 1998 10:57:12 -0700

ticker (0.7) unstable; urgency=low

  * Made the linuxnews-ticker and accociated programs provide User-agent 
    data of "linuxnews-ticker".

 -- Joey Hess <joeyh@master.debian.org>  Tue, 14 Jul 1998 23:32:24 -0700

ticker (0.6) unstable; urgency=low

  * Added proxy support.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 12 Jul 1998 12:07:54 -0700

ticker (0.5) unstable; urgency=low

  * Added note to INSTALL about where to get Date.pm, for non-debian users.
  * Modified the news tickers to continue to work ok even if Date.pm is not
    available. Then they just don't support --age.
  * Spiffed up INSTALL.
  * Modified the news tickers to detect html tags in the titles of articles
    and remove them.
  * Made ticker more responsive to keypresses.
  * Made the slow and fast keys operate on a sliding scale.
  * Autoconfed, and made it all portable (and much larger).

 -- Joey Hess <joeyh@master.debian.org>  Wed,  8 Jul 1998 12:58:52 -0700

ticker (0.4) unstable; urgency=low

  * Modified linuxnews-ticker so it detects no news conditions and looks a
    bit better in them.
  * Cleaned up linuxnews-ticker a lot.
  * Added key controls to ticker to speed it up, slow it down, and pause it.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  6 Jul 1998 22:59:09 -0700

ticker (0.3) unstable; urgency=low

  * Merged in support for freshmeat news.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  6 Jul 1998 18:02:14 -0700

ticker (0.2) unstable; urgency=low

  * Spell recommends properly in control file. Oops.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  6 Jul 1998 16:56:12 -0700

ticker (0.1) unstable; urgency=low

  * First public release.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  6 Jul 1998 14:55:27 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ticker
Section: utils
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.1.2

Package: ticker
Architecture: any
Depends: ${shlibs:Depends}
Recommends: perl, libtimedate-perl
Description: configurable text scroller, with slashdot and freshmeat modules
 Ticker is a simple program to scroll text across a line of the display, in
 a manner similar to a stock ticker. In fact, since ticker supports
 communicating with a program that changes the text periodically, it could
 be used to implement a stock ticker. Currently, though, the only data
 gathering program available is one that displays slashdot
 (http://slashdot.org) and freshmeat (http://news.freshmeat.net/) news 
 headlines on the ticker.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-$(MAKE) distclean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) INSTALL_PREFIX=`pwd`/debian/tmp install
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples sysinfo-ticker
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ticker 0.14

=== debian/changelog ===
ticker (0.14) unstable; urgency=low

  * Removed build-stamp target, which can cause some problems.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 30 Sep 1999 13:30:21 -0700

ticker (0.13) unstable; urgency=low

  * FHS compliant.
  * Use specified man and bin patchs better in Makefile.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  6 Sep 1999 16:50:01 -0700

ticker (0.12) unstable; urgency=low

  * Rebuilt with new slang1-dev to fix slang dependancy.
  * Checked into CVS. Set up a debian/fixlinks script to correct
    symlinks.
  * Integrated with my local build system to auto-update home page.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 27 Aug 1999 20:08:19 -0700

ticker (0.11) unstable; urgency=low

  * Now depends on perl5 | perl, I'll kill the | perl bit later on, but it
    seems to make sense for the transition.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  4 Jul 1999 11:00:45 -0700

ticker (0.10) unstable; urgency=low

  * Added rpm spec generation, cortesy of Thadeu Penna <tjpp@bu.edu> who wrote
    the base spec file.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 25 Nov 1998 20:55:48 -0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Joey Hess <joeyh@master.debian.org>
-Standards-Version: 2.4.1.2
+Standards-Version: 3.0.1.1
 
 Package: ticker
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: perl, libtimedate-perl
+Recommends: perl5 | perl, libtimedate-perl
 Description: configurable text scroller, with slashdot and freshmeat modules
  Ticker is a simple program to scroll text across a line of the display, in
  a manner similar to a stock ticker. In fact, since ticker supports

=== debian/rules ===
--- 
+++ 
@@ -4,28 +4,26 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: link-stamp build-stamp
 build-stamp:
 	dh_testdir
-	./configure --prefix=/usr
+	./configure --prefix=/usr --mandir=/usr/share/man
 	$(MAKE)
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp install-stamp
+	rm -f build-stamp
 	-$(MAKE) distclean
 	dh_clean
 
-install: install-stamp
-install-stamp: build-stamp
+install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
 	$(MAKE) INSTALL_PREFIX=`pwd`/debian/tmp install
-	touch install-stamp
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -55,6 +53,23 @@
 	dh_md5sums
 	dh_builddeb
 
+# Fix links when checking out of cvs by calling this target.
+link-stamp:
+	sh -e debian/fixlinks
+	touch link-stamp
+
+VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
+
+# Update the web page. Not intended for use by anyone except the
+# author.
+installhook:
+	-rm -f /home/ftp/pub/code/ticker/*
+	cp debian/changelog /home/pub/programs/ticker/CHANGES
+	echo $(VERSION) > /home/pub/programs/ticker/LATEST-VERSION-IS
+	cd /home/ftp/pub/code/ticker && \
+		ln -sf ../debian/ticker_$(VERSION).tar.gz ticker_$(VERSION).tar.gz && \
+		ln -sf ../debian/ticker_$(VERSION).tar.gz ticker.tar.gz 
+
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

## ticker 1.2

=== debian/changelog ===
ticker (1.2) unstable; urgency=low

  * Removed -fstrict-prototypes, Closes: #128620

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Jan 2002 13:43:37 -0500

ticker (1.1) unstable; urgency=low

  * Slashdot discontinued ultramode.txt in favor of rss, so I removed the
    slashdot ticker. Closes: #112976
  * It would probably be good if there ware a general rss ticker module now,
    but I am not using or developing this program anymore, just doing basic
    mantainence.

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Jan 2002 15:52:06 -0500

ticker (1.0) unstable; urgency=low

  * Updated the version number since it's stable.
  * Use debhelper v3.
  * Perl and policy updates.
  * Modified shmget perms to 0600, it was 0777 before which was certianly
    bad.
  * Note that I am not using or developing this anymore, so a new author is
    welcome.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Jun 2001 13:35:51 -0400

ticker (0.23) unstable; urgency=low

  * I never actually made this program use webfetch. Removed some cruft
    about that. 

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Sep 2000 21:27:36 -0700

ticker (0.22) unstable; urgency=low

  * Updated freshmeat info file location.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Sep 2000 11:13:30 -0700

ticker (0.21) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 16:37:43 -0800

ticker (0.20) unstable; urgency=low

  * Converted to use WebFetch for all data gathering. This simplifies my
    life a lot, and ticker now handles a lot more web sites, with more
    coming all the time via WebFetch.

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 1999 16:29:30 -0700

=== debian/control ===
Source: ticker
Section: utils
Priority: optional
Build-Depends: debhelper (>= 3), slang1-dev
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.5.6.0

Package: ticker
Architecture: any
Depends: ${shlibs:Depends}
Recommends: perl
Description: configurable text scroller
 Ticker is a simple program to scroll text across a line of the display, in
 a manner similar to a stock ticker. In fact, since ticker supports
 communicating with a program that changes the text periodically, it could
 be used to implement a stock ticker.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=3

build: link-stamp build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=/usr/share/man
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) INSTALL_PREFIX=`pwd`/debian/ticker install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples sysinfo-ticker
	dh_installmenu
	dh_installman *.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Fix links when checking out of cvs by calling this target.
link-stamp:
	sh -e debian/fixlinks
	touch link-stamp

VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

# Update the web page. Not intended for use by anyone except the
# author.
installhook:
	-rm -f /home/ftp/pub/code/ticker/*
	cp debian/changelog /home/pub/programs/ticker/CHANGES
	echo -n $(VERSION) > /home/pub/programs/ticker/LATEST-VERSION-IS
	cd /home/ftp/pub/code/ticker && \
		ln -sf ../debian/ticker_$(VERSION).tar.gz ticker_$(VERSION).tar.gz && \
		ln -sf ../debian/ticker_$(VERSION).tar.gz ticker.tar.gz 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ticker 1.6

=== Makefile ===
# Uncomment the following line to debug with Electric Fence.
#EFENCE = -lefence

# Uncomment the following to allow profiling.
#PROFILE = -pg

include makeinfo

all: ticker
ticker: ticker.c
	gcc ticker.c -o ticker $(CFLAGS) $(LIBS)

test: ticker
	PATH=.:$$PATH ./freshmeat-ticker

distclean: clean
	find . -name '\#*\#' -o -name '*.bak' -o -name '.??*' -o \
		-name '*~' -o -name '.gdb_history' -exec rm {} \;
	rm -f gmon.out config.h config.cache config.log config.status \
		makeinfo slang.h

clean:
	rm -f ticker

install:
	$(INSTALL) -d $(INSTALL_PREFIX)/$(MANDIR)/man1 $(INSTALL_PREFIX)/$(BINDIR)
	$(INSTALL_PROGRAM) ticker $(INSTALL_PREFIX)/$(BINDIR)
	$(INSTALL) freshmeat-ticker $(INSTALL_PREFIX)/$(BINDIR)
	$(INSTALL) -m 0644 ticker.1 $(INSTALL_PREFIX)/$(MANDIR)/man1
	$(INSTALL) -m 0644 freshmeat-ticker.1 $(INSTALL_PREFIX)/$(MANDIR)/man1

configure: configure.ac
	autoconf

config.status: configure
	./configure

makeinfo: autoconf/makeinfo.in config.status
	./config.status

=== debian/changelog ===
ticker (1.6) unstable; urgency=low

  * Break up multi-line string for pendantic gcc 3.3. Closes: #195171

 -- Joey Hess <joeyh@debian.org>  Wed, 28 May 2003 22:46:36 -0400

ticker (1.5) unstable; urgency=low

  * spec file patch from R P Herrold.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 May 2003 22:45:47 -0400

ticker (1.4) unstable; urgency=low

  * Moved DEB_BUILD_OPTIONS out of makeinfo.
  * Updated to new autoconf.

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Jun 2002 13:21:06 -0400

ticker (1.3) unstable; urgency=low

  * Debhelper v4.
  * DEB_BUILD_OPTIONS support.
  * Moved stuff out of makeinfo.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 19:28:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: ticker
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 3), slang1-dev
+Build-Depends: debhelper (>= 4), slang1-dev, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.5.6.0
+Standards-Version: 3.5.10.0
 
 Package: ticker
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: perl
 Description: configurable text scroller
  Ticker is a simple program to scroll text across a line of the display, in

=== debian/rules ===
#!/usr/bin/make -f

# DEB_BUILD_OPTIONS support.
CFLAGS=-O2 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif

INSTALL_PROGRAM=install
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

build: link-stamp build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=/usr/share/man CFLAGS="$(CFLAGS)"
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp link-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) INSTALL_PREFIX=`pwd`/debian/ticker \
		INSTALL_PROGRAM="$(INSTALL_PROGRAM)" install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples sysinfo-ticker
	dh_installmenu
	dh_installman *.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Fix links when checking out of cvs by calling this target.
link-stamp:
	sh -e debian/fixlinks
	touch link-stamp

VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

# Update the web page. Not intended for use by anyone except the
# author.
DIR=/home/web/kitenet.net/programs/ticker
installhook:
	cp debian/changelog $(DIR)/CHANGES
	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
	rm -f $(DIR)/*.tar.gz
	ln -s /home/joey/debian/unstable/ticker_$(VERSION).tar.gz $(DIR)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ticker 1.7

=== debian/changelog ===
ticker (1.7) unstable; urgency=low

  * Use slang2. Closes: #315108
  * Remove the freshmeat-ticker, since it's broken and not worth fixing.
  * Remove fixlinks stuff, now using svn links.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Jun 2005 14:08:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ticker
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4), slang1-dev, dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 4), libslang2-dev, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.5.10.0
+Standards-Version: 3.6.2
 
 Package: ticker
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=-O2 -Wall -g
INSTALL_PROGRAM=install

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=/usr/share/man CFLAGS="$(CFLAGS)"
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) INSTALL_PREFIX=`pwd`/debian/ticker \
		INSTALL_PROGRAM="$(INSTALL_PROGRAM)" install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples sysinfo-ticker
	dh_installman *.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

# Update the web page. Not intended for use by anyone except the
# author.
DIR=/home/web/kitenet.net/programs/ticker
installhook:
	cp debian/changelog $(DIR)/CHANGES
	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
	rm -f $(DIR)/*.tar.gz
	ln -s /home/joey/lib/debian/unstable/ticker_$(VERSION).tar.gz $(DIR)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ticker 1.8

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	gcc ticker.c -o ticker $(CFLAGS) $(LIBS)
 
 test: ticker
-	PATH=.:$$PATH ./freshmeat-ticker
+	PATH=.:$$PATH ./ticker "This is a test..."
 
 distclean: clean
 	find . -name '\#*\#' -o -name '*.bak' -o -name '.??*' -o \
@@ -25,9 +25,7 @@
 install:
 	$(INSTALL) -d $(INSTALL_PREFIX)/$(MANDIR)/man1 $(INSTALL_PREFIX)/$(BINDIR)
 	$(INSTALL_PROGRAM) ticker $(INSTALL_PREFIX)/$(BINDIR)
-	$(INSTALL) freshmeat-ticker $(INSTALL_PREFIX)/$(BINDIR)
 	$(INSTALL) -m 0644 ticker.1 $(INSTALL_PREFIX)/$(MANDIR)/man1
-	$(INSTALL) -m 0644 freshmeat-ticker.1 $(INSTALL_PREFIX)/$(MANDIR)/man1
 
 configure: configure.ac
 	autoconf

=== debian/changelog ===
ticker (1.8) unstable; urgency=low

  * Remove unused installhook in debian/rules.
  * Update url in spec file.
  * Rempo moved to git.
  * Current policy.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 21:12:40 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Build-Depends: debhelper (>= 4), libslang2-dev, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
+Vcs-Git: git://git.kitenet.net/ticker
 
 Package: ticker
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	-$(MAKE) distclean
+	$(MAKE) distclean
 	dh_clean
 
 install: build
@@ -43,16 +43,5 @@
 	dh_md5sums
 	dh_builddeb
 
-VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
-
-# Update the web page. Not intended for use by anyone except the
-# author.
-DIR=/home/web/kitenet.net/programs/ticker
-installhook:
-	cp debian/changelog $(DIR)/CHANGES
-	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
-	rm -f $(DIR)/*.tar.gz
-	ln -s /home/joey/lib/debian/unstable/ticker_$(VERSION).tar.gz $(DIR)
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary

## ticker 1.9

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ticker: ticker.c
 	gcc ticker.c -o ticker $(CFLAGS) $(LIBS)
 
-test: ticker
+demo: ticker
 	PATH=.:$$PATH ./ticker "This is a test..."
 
 distclean: clean
@@ -23,9 +23,9 @@
 	rm -f ticker
 
 install:
-	$(INSTALL) -d $(INSTALL_PREFIX)/$(MANDIR)/man1 $(INSTALL_PREFIX)/$(BINDIR)
-	$(INSTALL_PROGRAM) ticker $(INSTALL_PREFIX)/$(BINDIR)
-	$(INSTALL) -m 0644 ticker.1 $(INSTALL_PREFIX)/$(MANDIR)/man1
+	$(INSTALL) -d $(DESTDIR)/$(MANDIR)/man1 $(DESTDIR)/$(BINDIR)
+	$(INSTALL_PROGRAM) ticker $(DESTDIR)/$(BINDIR)
+	$(INSTALL) -m 0644 ticker.1 $(DESTDIR)/$(MANDIR)/man1
 
 configure: configure.ac
 	autoconf

=== debian/changelog ===
ticker (1.9) unstable; urgency=low

  * debhelper v7; 3 line rules file
  * Use DESTDIR in Makefile, rather than INSTALL_PREFIX.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:28:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: ticker
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4), libslang2-dev, dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 7), libslang2-dev, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 Vcs-Git: git://git.kitenet.net/ticker
+Homepage: http://kitenet.net/~joey/code/ticker/
 
 Package: ticker
 Architecture: any

## ticker 1.10

=== debian/changelog ===
ticker (1.10) unstable; urgency=medium

  * Orphaned the Debian package.

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Nov 2014 00:27:55 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 7), libslang2-dev, dpkg-dev (>= 1.9.0)
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.8.0
 Vcs-Git: git://git.kitenet.net/ticker
 Homepage: http://kitenet.net/~joey/code/ticker/

## ticker 1.11

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 all: ticker
 ticker: ticker.c
-	gcc ticker.c -o ticker $(CFLAGS) $(LIBS)
+	gcc ticker.c -o ticker $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) $(LIBS)
 
 demo: ticker
 	PATH=.:$$PATH ./ticker "This is a test..."

=== debian/changelog ===
ticker (1.11) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - DH level to 9.
      - Using dh-autoreconf now.
      - Bumped Standards-Version to 3.9.6.
      - DebSrc to 3.0 format.
  * debian/changelog: Fixed some typos.
  * debian/copyright:
      - Updated including license text.
  * debian/manpages: useless; removed.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS.
        to improve GCC hardening.
  * Makefile: included $(CPPFLAGS) to hardening.
  * ticker.c changed var type of parameter to remove warning:
    cast from pointer to integer of different size.
  * Fixed minus hyphen as minus sign in manpage.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Fri, 21 Aug 2015 03:40:00 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ticker
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7), libslang2-dev, dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 9), libslang2-dev, dh-autoreconf
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.9.6
 Vcs-Git: git://git.kitenet.net/ticker
 Homepage: http://kitenet.net/~joey/code/ticker/

## ticker 1.12

=== debian/changelog ===
ticker (1.12) unstable; urgency=medium

  * QA upload.
  * debian/rules:
    - Avoid running configure during make clean. (Closes: #928196)
  * debian/copyright:
    - Add Upstream-Name and Upstream-Contact.
    - Update link format with HTTPS reported by Lintian.
    - Add myself.
  * debian/control:
    - Debhelper-compat level to 13.
    - Bumped Standards-Version to 4.5.0.
    - Add Vcs-Browser and Vcs-Git in Salsa.
    - Remove build-dep dh-autoreconf reported by Lintian.
  * Fixed spelling error in a manual page reported by Lintian.
  * Rename archives README with .md and GPL for LICENSE.md.
  * debian/tests:
    - Add control file for autopkgtest.
  * Add debian/salsa-ci.yml file.
  * Fix exit non-zero in help command reported by autopkgtest.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Tue, 22 Sep 2020 16:33:03 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: ticker
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9), libslang2-dev, dh-autoreconf
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.6
-Vcs-Git: git://git.kitenet.net/ticker
+Build-Depends: debhelper-compat (= 13), libslang2-dev
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian/ticker
+Vcs-Git: https://salsa.debian.org/debian/ticker.git
 Homepage: http://kitenet.net/~joey/code/ticker/
+Rules-Requires-Root: no
 
 Package: ticker
 Architecture: any

## ticker 1.13

=== debian/changelog ===
ticker (1.13) unstable; urgency=medium

  * QA upload.
  * FTCBFS: uses the build architecture compiler. (Closes: #979732)
  * ticker.spec: updated version to 1.13.
  * debian/control:
    - Bumped Standards-Version to 4.5.1.
    - Removed Vcs in Salsa nonexistent.
  * debian/copyright:
    - Updated contribution year.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 25 Jan 2021 02:08:06 -0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), libslang2-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/debian/ticker
-Vcs-Git: https://salsa.debian.org/debian/ticker.git
-Homepage: http://kitenet.net/~joey/code/ticker/
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
+Homepage: http://kitenet.net/~joey/code/ticker
 
 Package: ticker
 Architecture: any

## ticker 1.14

=== debian/changelog ===
ticker (1.14) unstable; urgency=medium

  * QA upload.
  * ticker.spec: Updated version to "1.14".
  * debian/control: Bumped Standards-Version to "4.6.2".
  * debian/copyright:
    - Removed stanza "debian/*".
    - Updated packaging copyright information.

 -- Gustavo de Souza Silveira <gustavossilveira@hotmail.com>  Sat, 09 Dec 2023 23:31:11 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), libslang2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://kitenet.net/~joey/code/ticker

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	# avoid running ./configure during make clean
	touch makeinfo config.status
	dh_auto_clean

## ticker 1.15

=== debian/changelog ===
ticker (1.15) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Drop unnecessary dependency on dh-autoreconf.
  * Added d/gbp.conf to describe branch layout.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 14 Nov 2024 08:27:29 +0100

=== debian/control ===
Source: ticker
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libslang2-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://kitenet.net/~joey/code/ticker
Vcs-Browser: https://salsa.debian.org/debian/ticker
Vcs-Git: https://salsa.debian.org/debian/ticker.git

Package: ticker
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: perl,
Description: configurable text scroller
 Ticker is a simple program to scroll text across a line of the display, in
 a manner similar to a stock ticker. In fact, since ticker supports
 communicating with a program that changes the text periodically, it could
 be used to implement a stock ticker.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_clean:
 	# avoid running ./configure during make clean

## ticker 1.16

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 all: ticker
 ticker: ticker.c
-	gcc ticker.c -o ticker $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) $(LIBS)
+	$(CC) ticker.c -o ticker $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) $(LIBS)
 
 demo: ticker
 	PATH=.:$$PATH ./ticker "This is a test..."

=== debian/changelog ===
ticker (1.16) unstable; urgency=medium

  * QA upload.
  * ticket.c: Properly declare Clean_Exit.
    Fix FTBFS with GCC 15. (Closes: #1097995)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 27 Sep 2025 13:41:17 -0400

=== debian/tests/control ===
Test-Command: ticker -h
Restrictions: superficial

## ticker 1.16build1

=== debian/changelog ===
ticker (1.16build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:45:43 +0100
